include "basics/pts.ma".
include "connectives.ma".
include "leibniz.ma".
include "nat.ma".
axiom invert_permut : nat -> (nat -> nat) -> nat -> nat.
axiom invert_permut_body : nat -> (nat -> nat) -> nat -> nat.
axiom axiom_invert_permut : \forall (n:nat). (equal) ((nat -> nat) -> nat -> nat) ((invert_permut)  n) ((filter_nat_type) ((nat -> nat) -> nat -> nat) (invert_permut_body)  n).
definition eq_invert_permut : \forall (n:nat). (leibniz) ((nat -> nat) -> nat -> nat) ((invert_permut)  n) ((filter_nat_type) ((nat -> nat) -> nat -> nat) (invert_permut_body)  n) := \lambda n : nat. ((((equal_leibniz) ((nat -> nat) -> nat -> nat)) ((invert_permut)  n)) ((filter_nat_type) ((nat -> nat) -> nat -> nat) (invert_permut_body)  n)) ((axiom_invert_permut) (n)).
definition sym_eq_invert_permut : \forall (n:nat). (leibniz) ((nat -> nat) -> nat -> nat) ((filter_nat_type) ((nat -> nat) -> nat -> nat) (invert_permut_body)  n) ((invert_permut)  n) := \lambda n : nat. ((((sym_leibniz) ((nat -> nat) -> nat -> nat)) ((invert_permut)  n)) ((filter_nat_type) ((nat -> nat) -> nat -> nat) (invert_permut_body)  n)) ((eq_invert_permut) (n)).
